Skip to content
POST/{organizationId}/{mandateId}/sales/opportunities/list

List sales opportunities

Lists opportunities in the sales pipeline

Required permissions:

  • mandate.read

  • opportunity.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional

A stringified json object representing a property filter

groupByStagebooleanoptional

Default: false

returnStageStatsbooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/sales/opportunities/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/sales/opportunities/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "opportunities": [
    {
      "_id": "000000000000000000000001",
      "organization": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "name": "string",
      "stage": "new",
      "contact": {
        "name": "string",
        "type": "contact",
        "nameNormalized": "string",
        "nameSort": "string",
        "contact": "000000000000000000000001",
        "image": {
          "resource": "string"
        },
        "user": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        }
      },
      "expectedValue": 0,
      "salesChance": 0,
      "expectedCloseAt": "string",
      "renewalOf": "000000000000000000000001",
      "responsibleUser": {
        "name": "string",
        "type": "user",
        "userId": "string",
        "image": {
          "resource": "string"
        }
      },
      "products": [
        {
          "product": "000000000000000000000001",
          "quantity": 1,
          "name": "string"
        }
      ],
      "notes": "string",
      "lostReason": "string",
      "offerReceipt": "000000000000000000000001",
      "currentOffer": {
        "_id": "000000000000000000000001",
        "receiptNumber": "string",
        "accountName": "string",
        "totalGrossAmount": 1,
        "draft": true,
        "offerStatus": "open",
        "dueDate": "string"
      }
    }
  ],
  "count": 0,
  "stageStats": [
    {
      "stage": "new",
      "count": 0,
      "expectedValue": 0,
      "weightedExpectedValue": 0
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}